Package com.microblink.blinkid.entities.recognizers.blinkbarcode

# Enum Class BarcodeType

java.lang.Object
java.lang.Enum<BarcodeType>
com.microblink.blinkid.entities.recognizers.blinkbarcode.BarcodeType

All Implemented Interfaces:
  `Serializable`, `Comparable<BarcodeType>`, `Constable`

public enum BarcodeType extends Enum<BarcodeType>
Represents the type of scanned barcode

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Aztec`
  Aztec 2D barcode was scanned
  `Code128`
  Code 128 barcode was scanned
  `Code39`
  Code 39 barcode was scanned
  `DataMatrix`
  Data Matrix 2D barcode was scanned
  `EAN13`
  EAN 13 barcode was scanned
  `EAN8`
  EAN 8 barcode was scanned
  `ITF`
  ITF barcode was scanned
  `None`
  No barcode was scanned
  `PDF417`
  PDF417 2D barcode was scanned
  `QRCode`
  QR code was scanned
  `UPCA`
  UPC A barcode was scanned
  `UPCE`
  UPC E barcode was scanned

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BarcodeType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BarcodeType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### None

    public static final BarcodeType None
    No barcode was scanned

  - ### QRCode

    public static final BarcodeType QRCode
    QR code was scanned

  - ### DataMatrix

    public static final BarcodeType DataMatrix
    Data Matrix 2D barcode was scanned

  - ### UPCE

    public static final BarcodeType UPCE
    UPC E barcode was scanned

  - ### UPCA

    public static final BarcodeType UPCA
    UPC A barcode was scanned

  - ### EAN8

    public static final BarcodeType EAN8
    EAN 8 barcode was scanned

  - ### EAN13

    public static final BarcodeType EAN13
    EAN 13 barcode was scanned

  - ### Code128

    public static final BarcodeType Code128
    Code 128 barcode was scanned

  - ### Code39

    public static final BarcodeType Code39
    Code 39 barcode was scanned

  - ### ITF

    public static final BarcodeType ITF
    ITF barcode was scanned

  - ### Aztec

    public static final BarcodeType Aztec
    Aztec 2D barcode was scanned

  - ### PDF417

    public static final BarcodeType PDF417
    PDF417 2D barcode was scanned

- ## Method Details

  - ### values

    public static BarcodeType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BarcodeType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null